보고서 스냅샷 저장

특정 기간 동안 시설의 운영 및 재무 지표를 제출합니다.

매개변수

  • snapshots array 필수

    저장할 보고서 스냅샷 객체의 배열입니다. 요청당 최대 25개 항목입니다. 각 항목에는 facility_id(linking_identifier를 사용하지 않는 경우 필수) 또는 linking_identifier(facility_id를 사용하지 않는 경우 필수)가 포함되어야 합니다.

반환값

동기화 작업을 확인하는 간단한 메시지를 반환합니다.

요청

curl -X POST https://partner-api.performancehub.co/partner/v1/report-snapshots \
  -u sk_live_YOUR_PARTNER_SECRET_KEY: \
  -H "Content-Type: application/json" \
  -d '{
    "snapshots": [
      {
        "facility_id": "550e8400-e29b-41d4-a716-446655440000",
        // "linking_identifier": "branch_downtown",  // If using linking identifier
        "start_date": "2025-01-01",
        "end_date": "2025-01-31",
        "metrics": {
          "members": {
            "active": 1200,
            "new": 45,
            "cancelled": 12
          },
          "revenue": {
            "total_payments": 289000.00,
            "currency": "AUD"
          }
        }
      }
    ]
  }'

응답

{
  "message": "Report snapshot sync successful."
}